## pipewire 0.3.65

=== meson_options.txt ===
option('docdir',
       type : 'string',
       description : 'Directory for installing documentation to (defaults to pipewire_datadir/doc/meson.project_name() )')
option('docs',
       description: 'Build documentation',
       type: 'feature',
       value: 'disabled')
option('examples',
       description: 'Build examples',
       type: 'feature',
       value: 'enabled')
option('man',
       description: 'Build manpages',
       type: 'feature',
       value: 'auto')
option('tests',
       description: 'Build tests',
       type: 'feature',
       value: 'enabled',
       yield : true)
option('installed_tests',
       description: 'Install manual and automated test executables',
       type: 'feature',
       value: 'disabled')
option('gstreamer',
       description: 'Build GStreamer plugins',
       type: 'feature',
       value: 'auto')
option('gstreamer-device-provider',
       description: 'Build GStreamer device provider plugin',
       type: 'feature',
       value: 'auto')
option('systemd',
       description: 'Enable systemd integration',
       type: 'feature',
       value: 'auto')
option('systemd-system-service',
       description: 'Install systemd system service file',
       type: 'feature',
       value: 'disabled')
option('systemd-user-service',
       description: 'Install systemd user service file (ignored without systemd)',
       type: 'feature',
       value: 'enabled')
option('pipewire-alsa',
       description: 'Enable pipewire-alsa integration',
       type: 'feature',
       value: 'auto')
option('pipewire-jack',
       description: 'Enable pipewire-jack integration',
       type: 'feature',
       value: 'enabled')
option('pipewire-v4l2',
       description: 'Enable pipewire-v4l2 integration',
       type: 'feature',
       value: 'enabled')
option('jack-devel',
       description: 'Install jack development files',
       type: 'boolean',
       value: 'false')
option('libjack-path',
       description: 'Where to install the libjack.so library',
       type: 'string')
option('libv4l2-path',
       description: 'Where to install the libpw-v4l2.so library',
       type: 'string')
option('spa-plugins',
       description: 'Enable spa plugins integration',
       type: 'feature',
       value: 'enabled')
option('alsa',
       description: 'Enable alsa spa plugin integration',
       type: 'feature',
       value: 'auto')
option('audiomixer',
       description: 'Enable audiomixer spa plugin integration',
       type: 'feature',
       value: 'enabled')
option('audioconvert',
       description: 'Enable audioconvert spa plugin integration',
       type: 'feature',
       value: 'enabled')
option('bluez5',
       description: 'Enable bluez5 spa plugin integration',
       type: 'feature',
       value: 'auto')
option('bluez5-backend-hsp-native',
       description: 'Enable HSP in native backend in bluez5 spa plugin',
       type: 'feature',
       value: 'enabled')
option('bluez5-backend-hfp-native',
       description: 'Enable HFP in native backend in bluez5 spa plugin',
       type: 'feature',
       value: 'enabled')
option('bluez5-backend-native-mm',
       description: 'Enable ModemManager in native backend in bluez5 spa plugin',
       type: 'feature',
       value: 'disabled')
option('bluez5-backend-ofono',
       description: 'Enable oFono HFP backend in bluez5 spa plugin (no dependency on oFono)',
       type: 'feature',
       value: 'enabled')
option('bluez5-backend-hsphfpd',
       description: 'Enable hsphfpd backend in bluez5 spa plugin (no dependency on hsphfpd)',
       type: 'feature',
       value: 'enabled')
option('bluez5-codec-aptx',
        description: 'Enable AptX Qualcomm open source codec implementation',
        type: 'feature',
        value: 'auto')
option('bluez5-codec-ldac',
        description: 'Enable LDAC Sony open source codec implementation',
        type: 'feature',
        value: 'auto')
option('bluez5-codec-aac',
        description: 'Enable Fraunhofer FDK AAC open source codec implementation',
        type: 'feature',
        value: 'auto')
option('bluez5-codec-lc3plus',
        description: 'Enable LC3plus open source codec implementation',
        type: 'feature',
        value: 'auto')
option('bluez5-codec-opus',
        description: 'Enable Opus open source codec implementation',
        type: 'feature',
        value: 'auto')
option('bluez5-codec-lc3',
        description: 'Enable LC3 open source codec implementation',
        type: 'feature',
        value: 'disabled')
option('control',
       description: 'Enable control spa plugin integration',
       type: 'feature',
       value: 'enabled')
option('audiotestsrc',
       description: 'Enable audiotestsrc spa plugin integration',
       type: 'feature',
       value: 'enabled')
option('ffmpeg',
       description: 'Enable ffmpeg spa plugin integration',
       type: 'feature',
       value: 'disabled')
option('jack',
       description: 'Enable jack spa plugin integration',
       type: 'feature',
       value: 'auto')
option('support',
       description: 'Enable support spa plugin integration',
       type: 'feature',
       value: 'enabled')
option('evl',
       description: 'Enable EVL support spa plugin integration',
       type: 'feature',
       value: 'disabled')
option('test',
       description: 'Enable test spa plugin integration',
       type: 'feature',
       value: 'disabled')
option('v4l2',
       description: 'Enable v4l2 spa plugin integration',
       type: 'feature',
       value: 'auto')
option('dbus',
       description: 'Enable code that depends on dbus',
       type: 'feature',
       value: 'enabled')
option('libcamera',
       description: 'Enable libcamera spa plugin integration',
       type: 'feature',
       value: 'auto')
option('videoconvert',
       description: 'Enable videoconvert spa plugin integration',
       type: 'feature',
       value: 'enabled')
option('videotestsrc',
       description: 'Enable videotestsrc spa plugin integration',
       type: 'feature',
       value: 'enabled')
option('volume',
       description: 'Build the legacy volume spa plugin',
       type: 'feature',
       value: 'disabled')
option('vulkan',
       description: 'Enable vulkan spa plugin integration',
       type: 'feature',
       value: 'disabled')
option('pw-cat',
       description: 'Build pw-cat/pw-play/pw-record',
       type: 'feature',
       value: 'auto')
option('pw-cat-ffmpeg',
       description: 'Enable FFmpeg integration in pw-cat/pw-play/pw-record',
       type: 'feature',
       value: 'disabled')
option('udev',
       description: 'Enable Udev integration',
       type: 'feature',
       value: 'auto')
option('udevrulesdir',
       type : 'string',
       description : 'Directory for udev rules (defaults to /lib/udev/rules.d)')
option('systemd-system-unit-dir',
       type : 'string',
       description : 'Directory for system systemd units (defaults to /usr/lib/systemd/system)')
option('systemd-user-unit-dir',
       type : 'string',
       description : 'Directory for user systemd units (defaults to /usr/lib/systemd/user)')
option('sdl2',
       description: 'Enable code that depends on SDL 2',
       type: 'feature',
       value: 'auto')
option('sndfile',
       description: 'Enable code that depends on libsndfile',
       type: 'feature',
       value: 'auto')
option('libpulse',
       description: 'Enable code that depends on libpulse',
       type: 'feature',
       value: 'auto')
option('roc',
       description: 'Enable code that depends on roc toolkit',
       type: 'feature',
       value: 'auto')
option('avahi',
       description: 'Enable code that depends on avahi',
       type: 'feature',
       value: 'auto')
option('echo-cancel-webrtc',
       description : 'Enable WebRTC-based echo canceller',
       type : 'feature',
       value : 'auto')
option('libusb',
       description: 'Enable code that depends on libusb',
       type: 'feature',
       value: 'auto')
option('session-managers',
       description : 'Session managers to build (can be [] for none or an absolute path)',
       type : 'array',
       value : ['wireplumber'])
option('raop',
       description: 'Enable module for Remote Audio Output Protocol',
       type: 'feature',
       value: 'auto')
option('lv2',
       description: 'Enable loading of LV2 plugins',
       type: 'feature',
       value: 'auto')
option('x11',
       description: 'Enable code that depends on X11',
       type: 'feature',
       value: 'auto')
option('x11-xfixes',
       description: 'Enable code that depends on XFixes',
       type: 'feature',
       value: 'auto')
option('libcanberra',
       description: 'Enable code that depends on libcanberra',
       type: 'feature',
       value: 'auto')
option('legacy-rtkit',
       description: 'Build legacy rtkit module',
       type: 'boolean',
       value: 'true')
option('avb',
       description: 'Enable AVB code',
       type: 'feature',
       value: 'auto')
option('flatpak',
       description: 'Enable Flatpak support',
       type: 'feature',
       value: 'enabled')
option('readline',
       description: 'Enable code that depends on libreadline',
       type: 'feature',
       value: 'auto')
option('gsettings',
       description: 'Enable code that depends on gsettings',
       type: 'feature',
       value: 'auto')
option('compress-offload',
       description: 'Enable ALSA Compress-Offload support',
       type: 'feature',
       value: 'disabled')

=== debian/changelog ===
pipewire (0.3.65-3+deb12u1) bookworm; urgency=medium

  * Use malloc_trim() when available to release memory (Closes: #1015915)
    Cherry-pick upstream patches:
      - 7e2f6757: impl-node: do malloc_trim() after destroying a node.
      - 8680c74d: check if malloc_trim() is available.

 -- Dylan Aïssi <daissi@debian.org>  Mon, 23 Oct 2023 10:47:23 +0200

pipewire (0.3.65-3) unstable; urgency=medium

  * pipewire-audio: add pulseaudio-module-bluetooth in Conflicts+Replaces
      to help apt make a choice (Closes: #1031396)

 -- Dylan Aïssi <daissi@debian.org>  Fri, 17 Feb 2023 16:10:28 +0100

pipewire (0.3.65-2) unstable; urgency=medium

  * pipewire-pulse: Add wireplumber or pipewire-media-session-pulseaudio
      in Recommends. This is required to make sure a working session manager
      is installed when pipewire-pulse is pulled by dependencies.
      (Closes: #1029763)

 -- Dylan Aïssi <daissi@debian.org>  Mon, 06 Feb 2023 10:01:33 +0100

pipewire (0.3.65-1) unstable; urgency=medium

  * New upstream release
  * Drop reference to pipewire-media-session in pipewire.README.Debian
      (Closes: #1029671)
  * Drop patches included in upstream release:
      - 1d9640af: fixes problems with stuttering with some custom configurations
      - ccedf172: fixed bug in AVX optimizations causing crackling
      - a979c0f4: fixes compilation issues with deprecated keys
      - Reproducible_doxygen.patch
  * Cherry-pick upstream recommended patches:
      - fba7083f  module-combine-stream was not installed
  * Install new module-combine-stream in libpipewire-0.3-modules
  * Update symbols file

 -- Dylan Aïssi <daissi@debian.org>  Fri, 27 Jan 2023 13:38:34 +0100

pipewire (0.3.64-4) unstable; urgency=medium

  * Source only upload to unstable for migration to testing

 -- Dylan Aïssi <daissi@debian.org>  Tue, 24 Jan 2023 22:34:29 +0100

pipewire (0.3.64-3) experimental; urgency=medium

  * pipewire-pulse: do not recommend pipewire-alsa (Closes: #1029377)
  * Build a new metapackage pipewire-audio depending on recommended pipewire
      packages for a standard audio desktop use. Not knowing which packages
      to install is a common source of bug reports. This metapackage should
      help users to have a working configuration.

 -- Dylan Aïssi <daissi@debian.org>  Tue, 24 Jan 2023 10:43:23 +0100

pipewire (0.3.64-2) unstable; urgency=medium

  * Cherry-pick upstream recommended patch:
      - a979c0f4: fixes compilation issues with deprecated keys

 -- Dylan Aïssi <daissi@debian.org>  Tue, 17 Jan 2023 18:07:23 +0100

pipewire (0.3.64-1) unstable; urgency=medium

  * New upstream release
  * pipewire-pulse: recommends pipewire-alsa
      When the pulseaudio package is installed, all sound are routed through
      pulseaudio. PipeWire should mimic this behavior by adding the recommend
      between pipewire-pulse and pipewire-alsa. Thus all sound are routed
      through pipewire.
  * Drop patches included in upstream release:
      - c7b3ef0d: bluez5: backend-native: fix missing brace in CIND reply
      - 624e265f: pulse-server: clear the drained state correctly
  * Cherry-pick upstream recommended patches:
      - 1d9640af: fixes problems with stuttering with some custom configurations
      - ccedf172: fixed bug in AVX optimizations causing crackling

 -- Dylan Aïssi <daissi@debian.org>  Tue, 17 Jan 2023 10:38:57 +0100

pipewire (0.3.63-4) unstable; urgency=medium

  [ Dylan Aïssi ]
  * Upload to unstable

  [ Sam Hartman ]
  * Cherry-pick upstream patch:
      - Correctly manage pulse drain state, Closes: #1027762

 -- Dylan Aïssi <daissi@debian.org>  Tue, 10 Jan 2023 22:11:56 +0100

pipewire (0.3.63-3) experimental; urgency=medium

  * Patch doc/Doxyfile.in to make the build reproducible.
  * Move libpipewire-module-x11-bell.so into its own package
      libpipewire-0.3-modules-x11. This module is only useful with X11.
  * pipewire-pulse: Demote pulseaudio-utils from Recommends to Suggests
      pactl is not used anymore to load by default modules. Modules can now
      be loaded using pulse.cmd.
  * Standards-Version: 4.6.2 (no changes required)

 -- Dylan Aïssi <daissi@debian.org>  Mon, 09 Jan 2023 18:10:15 +0100

pipewire (0.3.63-2) unstable; urgency=medium

  * Enable ModemManager in native backend in bluez5 spa plugin
      (Closes: #1027131)
  * Add modemmanager-dev in Build-Deps
  * Make wireplumber take precedence over pipewire-media-session.
      pipewire-media-session is dead upstream with no release since
      Oct 2021. But keep it as an alternative to wireplumber because
      it still works and make easier the use of pipewire for screen sharing
      only (i.e. without using pipewire for audio).
  * Cherry-pick upstream recommended patch:
      - c7b3ef0d: bluez5: backend-native: fix missing brace in CIND reply

 -- Dylan Aïssi <daissi@debian.org>  Fri, 06 Jan 2023 21:38:55 +0100

=== debian/control ===
Source: pipewire
Section: libs
Priority: optional
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@alioth-lists.debian.net>
Uploaders: Jeremy Bicha <jbicha@debian.org>,
           Dylan Aïssi <daissi@debian.org>
Build-Depends: debhelper-compat (= 13),
               doxygen <!nodoc>,
               graphviz <!nodoc>,
               libasound2-dev,
               libavahi-client-dev,
               libbluetooth-dev,
               libcamera-dev (>= 0.0.1) [!m68k],
               libdbus-1-dev,
               libfreeaptx-dev,
               libglib2.0-dev,
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               libjack-jackd2-dev,
               libcanberra-dev,
               liblc3-dev,
               libldacbt-abr-dev [!s390x !hppa !m68k !powerpc !ppc64 !sparc64],
               libldacbt-enc-dev [!s390x !hppa !m68k !powerpc !ppc64 !sparc64],
               liblilv-dev,
               libncurses-dev,
               libopus-dev,
               libpulse-dev,
               libreadline-dev,
               libsbc-dev,
               libsdl2-dev,
               libsndfile1-dev,
               libssl-dev,
               libsystemd-dev [linux-any],
               libudev-dev [linux-any],
               libusb-1.0-0-dev,
               libv4l-dev,
               libwebrtc-audio-processing-dev,
               libxfixes-dev (>= 1:6.0.0),
               meson (>= 0.59.0),
               modemmanager-dev,
               pkg-config,
               python3-docutils,
               systemd [linux-any]
Build-Conflicts: libfdk-aac-dev
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/utopia-team/pipewire
Vcs-Git: https://salsa.debian.org/utopia-team/pipewire.git
Homepage: https://pipewire.org/
Rules-Requires-Root: no

Package: libpipewire-0.3-0
Architecture: linux-any
Multi-Arch: same
Depends: libspa-0.2-modules (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libpipewire-0.3-common
Suggests: pipewire (= ${binary:Version})
Description: libraries for the PipeWire multimedia server
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of video (such as from a capture devices or
    application provided streams) and multiplexing this with clients.
  - Accessing sources of video for consumption.
  - Generating graphs for audio and video processing.

Package: libpipewire-0.3-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: libraries for the PipeWire multimedia server - common files
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of video (such as from a capture devices or
    application provided streams) and multiplexing this with clients.
  - Accessing sources of video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package is needed for the runtime libraries to display messages in
 languages other than English.

Package: libpipewire-0.3-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends: libpipewire-0.3-0 (= ${binary:Version}),
         libspa-0.2-dev (= ${binary:Version}),
         ${misc:Depends}
Suggests: pipewire-doc
Description: libraries for the PipeWire multimedia server - development
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of video (such as from a capture devices or
    application provided streams) and multiplexing this with clients.
  - Accessing sources of video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains the development files.

Package: libpipewire-0.3-modules
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: pipewire (<< 0.3.5)
Replaces: pipewire (<< 0.3.5)
Description: libraries for the PipeWire multimedia server - modules
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of video (such as from a capture devices or
    application provided streams) and multiplexing this with clients.
  - Accessing sources of video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains modules used by the PipeWire server and by clients,
 and should not normally be depended on directly. PipeWire clients should
 depend on the pipewire package instead.

Package: libpipewire-0.3-modules-x11
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libpipewire-0.3-modules (<< 0.3.63-3~)
Replaces: libpipewire-0.3-modules (<< 0.3.63-3~)
Description: libraries for the PipeWire multimedia server - X11 modules
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of video (such as from a capture devices or
    application provided streams) and multiplexing this with clients.
  - Accessing sources of video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains X11 modules.

Package: libspa-0.2-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends}
Suggests: pipewire-doc
Description: libraries for the PipeWire multimedia server Simple Plugin API - development
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of video (such as from a capture devices or
    application provided streams) and multiplexing this with clients.
  - Accessing sources of video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains the development files for the Simple Plugin API.

Package: libspa-0.2-modules
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: pipewire (<< 0.3.5)
Replaces: pipewire (<< 0.3.5)
Description: libraries for the PipeWire multimedia server Simple Plugin API - modules
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of video (such as from a capture devices or
    application provided streams) and multiplexing this with clients.
  - Accessing sources of video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains core support modules used in the Simple Plugin API,
 together with test and utility modules that do not introduce additional
 dependencies. It should not normally be depended on directly: PipeWire
 clients should depend on the pipewire package instead.

Package: pipewire-doc
Section: doc
Build-Profiles: <!nodoc>
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libpipewire-0.2-doc (<< 0.3.1)
Replaces: libpipewire-0.2-doc (<< 0.3.1)
Description: libraries for the PipeWire multimedia server - documentation
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of video (such as from a capture devices or
    application provided streams) and multiplexing this with clients.
  - Accessing sources of video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains the API reference.

Package: pipewire
Section: video
Architecture: linux-any
Multi-Arch: same
Depends: libpipewire-0.3-modules (= ${binary:Version}),
         pipewire-bin (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         adduser
Description: audio and video processing engine multimedia server
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of video (such as from a capture devices or
    application provided streams) and multiplexing this with clients.
  - Accessing sources of video for consumption.
  - Generating graphs for audio and video processing.
 .
 This metapackage makes PipeWire available for programs of the same
 architecture, and provides the systemd user service necessary to run
 pipewire on-demand.

Package: pipewire-bin
Section: video
Architecture: linux-any
Multi-Arch: foreign
Depends: libpipewire-0.3-modules (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: dbus-user-session,
            wireplumber | pipewire-media-session,
            rtkit
Breaks: pipewire (<< 0.3.5)
Replaces: pipewire (<< 0.3.5)
Description: PipeWire multimedia server - programs
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of video (such as from a capture devices or
    application provided streams) and multiplexing this with clients.
  - Accessing sources of video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains the server and command-line utilities, and should
 not normally be depended on directly. PipeWire clients should depend on
 the pipewire package instead.

Package: pipewire-pulse
Section: sound
Architecture: linux-any
Multi-Arch: foreign
Replaces: pipewire-bin (<< 0.3.27-2)
Breaks: pipewire-bin (<< 0.3.27-2)
Depends: pipewire (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: wireplumber | pipewire-media-session-pulseaudio
Suggests: libspa-0.2-bluetooth,
          pulseaudio-utils
Description: PipeWire PulseAudio daemon
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of video (such as from a capture devices or
    application provided streams) and multiplexing this with clients.
  - Accessing sources of video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains the PulseAudio replacement daemon.

Package: pipewire-alsa
Section: sound
Architecture: linux-any
Multi-Arch: same
Replaces: pipewire-audio-client-libraries (<< 0.3.54-1~)
Breaks: pipewire-audio-client-libraries (<< 0.3.54-1~)
Conflicts: pulseaudio
Depends: pipewire (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: PipeWire ALSA plugin
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of video (such as from a capture devices or
    application provided streams) and multiplexing this with clients.
  - Accessing sources of video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains the ALSA plugin.

Package: pipewire-jack
Section: sound
Architecture: linux-any
Multi-Arch: same
Replaces: pipewire-audio-client-libraries (<< 0.3.54-1~)
Breaks: pipewire-audio-client-libraries (<< 0.3.54-1~)
Depends: pipewire (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: PipeWire JACK plugin
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of video (such as from a capture devices or
    application provided streams) and multiplexing this with clients.
  - Accessing sources of video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains the JACK plugin.

Package: pipewire-v4l2
Section: video
Architecture: linux-any
Multi-Arch: same
Replaces: pipewire-bin (<< 0.3.54-1),
          libpipewire-0.3-modules (<< 0.3.54-1)
Breaks: pipewire-bin (<< 0.3.54-1),
        libpipewire-0.3-modules (<< 0.3.54-1)
Depends: pipewire (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: PipeWire V4L2 plugin
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of video (such as from a capture devices or
    application provided streams) and multiplexing this with clients.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs

%:
	dh $@

ifneq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
DOCS=disabled
else
DOCS=enabled
endif

ifneq (,$(filter s390x hppa m68k powerpc ppc64 sparc64,$(DEB_HOST_ARCH)))
BLUEZ5_CODEC_LDAC=disabled
else
BLUEZ5_CODEC_LDAC=enabled
endif

ifneq (,$(filter m68k,$(DEB_HOST_ARCH)))
LIBCAMERA=disabled
else
LIBCAMERA=enabled
endif

# lilv and some of its dependencies are in universe
ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
LV2=disabled
else
LV2=enabled
endif

override_dh_auto_configure:
	dh_auto_configure -- \
		-Daudiotestsrc=enabled \
		-Dauto_features=enabled \
		-Davahi=enabled \
		-Dbluez5-backend-native-mm=enabled \
		-Dbluez5-codec-aac=disabled \
		-Dbluez5-codec-aptx=enabled \
		-Dbluez5-codec-lc3=enabled \
		-Dbluez5-codec-lc3plus=disabled \
		-Dbluez5-codec-ldac=$(BLUEZ5_CODEC_LDAC) \
		-Dbluez5-codec-opus=enabled \
		-Dlibcamera=$(LIBCAMERA) \
		-Ddocs=$(DOCS) \
		-Dffmpeg=disabled \
		-Dinstalled_tests=enabled \
		-Dlv2=$(LV2) \
		-Dman=enabled \
		-Droc=disabled \
		-Dsession-managers= \
		-Dtest=enabled \
		-Dvideotestsrc=enabled \
		-Dvulkan=disabled \
		$(NULL)
	install -d debian/ld.so.conf.d
	echo "/usr/lib/$(DEB_HOST_MULTIARCH)/pipewire-0.3/jack/" > "debian/ld.so.conf.d/pipewire-jack-$(DEB_HOST_MULTIARCH).conf"

test_timeout_multiplier = 1

ifneq ($(filter arm hppa ia64 m68k riscv64 sh4 sparc%,$(DEB_HOST_ARCH_CPU)),)
test_timeout_multiplier = 5
endif

ifneq ($(filter mips%,$(DEB_HOST_ARCH_CPU)),)
test_timeout_multiplier = 10
endif

override_dh_auto_test:
	dh_auto_test \
		-- \
		--timeout-multiplier $(test_timeout_multiplier) \
		$(NULL)

override_dh_missing:
	dh_missing --fail-missing

override_dh_makeshlibs:
	dh_makeshlibs \
		--exclude=/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0 \
		--exclude=/usr/lib/$(DEB_HOST_MULTIARCH)/pipewire-0.3 \
		--exclude=/usr/lib/$(DEB_HOST_MULTIARCH)/spa-0.2 \
		-- -c4

override_dh_shlibdeps-arch:
	dh_shlibdeps \
		-ppipewire-jack \
		-l/usr/lib/$(DEB_HOST_MULTIARCH)/pipewire-0.3 \
		-- \
		-Ldebian/pipewire-jack.shlibs.local \
		$(NULL)
	dh_shlibdeps \
		--remaining-packages \
		-l/usr/lib/$(DEB_HOST_MULTIARCH)/pipewire-0.3 \
		$(NULL)

## pipewire 0.3.70

=== debian/changelog ===
pipewire (0.3.70-2) experimental; urgency=medium

  [ Alban Browaeys ]
  * Cherry-pick upstream patch:
      - Fix pulse tunnel unload segfaulting pipewire-pulse (Closes: #1035280)

 -- Dylan Aïssi <daissi@debian.org>  Fri, 05 May 2023 11:56:36 +0200

pipewire (0.3.70-1) experimental; urgency=medium

  * New upstream release
  * Install new pw-config in pipewire-bin
  * Update symbols file

 -- Dylan Aïssi <daissi@debian.org>  Thu, 20 Apr 2023 17:01:11 +0200

pipewire (0.3.69-1) experimental; urgency=medium

  * New upstream release
  * Drop patch included in upstream release:
      - 8748c774: fix for nodes staying IDLE in some cases

 -- Dylan Aïssi <daissi@debian.org>  Mon, 17 Apr 2023 10:08:36 +0200

pipewire (0.3.68-1) experimental; urgency=medium

  * New upstream release
  * Drop patches included in upstream release:
      - Don-t-build_same_binary_twice.patch
  * Cherry-pick upstream recommended patch:
      - 8748c774: fix for nodes staying IDLE in some cases
  * Install new module-rtp-sap and module-rtp-session in libpipewire-0.3-modules
  * Don't install for now config override files to enable the upmixing.
      These files should go in a new binary package.
  * Update symbols file

 -- Dylan Aïssi <daissi@debian.org>  Wed, 12 Apr 2023 10:23:25 +0200

pipewire (0.3.67-2) experimental; urgency=medium

  * Set minimum libcamera to 0.0.4 to force a build against the version in
      experimental during the freeze.

 -- Dylan Aïssi <daissi@debian.org>  Fri, 31 Mar 2023 22:12:00 +0200

pipewire (0.3.67-1) experimental; urgency=medium

  * New upstream release
  * pipewire-audio: add pulseaudio-module-bluetooth in Conflicts+Replaces
      to help apt make a choice (Closes: #1031396)
  * Drop patches included in upstream release:
      - 3601ecc9: Improve NEWS
  * Install new pw-encplay in pipewire-bin
  * Update symbols file

 -- Dylan Aïssi <daissi@debian.org>  Thu, 09 Mar 2023 15:41:34 +0100

pipewire (0.3.66-1) experimental; urgency=medium

  * New upstream release
  * Drop patch included in upstream release:
      - fba7083f: module-combine-stream was not installed
  * Cherry-pick upstream recommended patch:
      - 3601ecc9: Improve NEWS
  * Add libmysofa-dev in Build-Deps
  * Install new pipewire-aes67 in pipewire-bin
  * Install the upstream recommended PAM limits.d file
  * Update symbols file
  * Install filter-chain service file and config files in pipewire and
      pipewire-bin respectively.
  * Upload to experimental because of the Bookworm freeze

 -- Dylan Aïssi <daissi@debian.org>  Fri, 17 Feb 2023 15:01:23 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                libasound2-dev,
                libavahi-client-dev,
                libbluetooth-dev,
-               libcamera-dev (>= 0.0.1) [!m68k],
+               libcamera-dev (>= 0.0.4) [!m68k],
                libdbus-1-dev,
                libfreeaptx-dev,
                libglib2.0-dev,
@@ -22,6 +22,7 @@
                libldacbt-abr-dev [!s390x !hppa !m68k !powerpc !ppc64 !sparc64],
                libldacbt-enc-dev [!s390x !hppa !m68k !powerpc !ppc64 !sparc64],
                liblilv-dev,
+               libmysofa-dev,
                libncurses-dev,
                libopus-dev,
                libpulse-dev,
@@ -319,4 +320,3 @@
  pipelines. This includes:
  .
   - Making available sources of video (such as from a capture devices or
-    application provided streams) and multiplexing this with clients.

## pipewire 0.3.71

=== meson_options.txt ===
--- 
+++ 
@@ -213,6 +213,10 @@
        description: 'Enable code that depends on libsndfile',
        type: 'feature',
        value: 'auto')
+option('libmysofa',
+       description: 'Enable code that depends on libmysofa',
+       type: 'feature',
+       value: 'auto')
 option('libpulse',
        description: 'Enable code that depends on libpulse',
        type: 'feature',
@@ -280,4 +284,41 @@
 option('compress-offload',
        description: 'Enable ALSA Compress-Offload support',
        type: 'feature',
-       value: 'disabled')
+       value: 'auto')
+option('pam-defaults-install',
+       description: 'Install limits.d file modifying defaults for all PAM users. Only for old kernels/systemd!',
+       type: 'boolean',
+       value: 'false')
+option('pam-memlock-default',
+       description : 'The default memlock value for any PAM user in kilobytes. Multiples of 64 recommended.',
+       type : 'integer',
+       min: 640,
+       value: 8192)
+option('rlimits-install',
+       description: 'Install PAM limits.d file. Voids all following rlimits-* options, if false',
+       type: 'boolean',
+       value: 'true')
+option('rlimits-match',
+       description : 'PAM match rule for the generated limits.d file. @<name> denotes matching a group.',
+       type : 'string',
+       value: '@pipewire')
+option('rlimits-rtprio',
+       description : 'RR and FIFO scheduler priority permitted for realtime threads of the matching user(s)',
+       type : 'integer',
+       min: 11,
+       max: 99,
+       value: 95)
+option('rlimits-memlock',
+       description : 'kB of memory each process of the user matched by the rule can lock. Can be unlimited .',
+       type : 'string',
+       value: '4194304')
+option('rlimits-nice',
+       description : 'Not niceness permitted for non-realtime threads of the matching user(s)',
+       type : 'integer',
+       min: -20,
+       max: -1,
+       value: -19)
+option('opus',
+       description: 'Enable code that depends on opus',
+       type: 'feature',
+       value: 'auto')

=== debian/changelog ===
pipewire (0.3.71-2.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind

 -- anticapitalista <antix@operamail.com>  Tue, 13 Jun 2023 14:33:17 +0300

pipewire (0.3.71-2) unstable; urgency=medium

  * Upload to unstable
  * Remove minimum version of libcamera-dev, not yet in unstable

 -- Dylan Aïssi <daissi@debian.org>  Mon, 12 Jun 2023 11:59:49 +0200

pipewire (0.3.71-1) experimental; urgency=medium

  [ Dylan Aïssi ]
  * New upstream release
  * Drop patch included in upstream release:
      - module-pulse-tunnel-avoid-using-NULL-module.patch
  * Cherry-pick upstream recommended patch:
      - ce71b37b: fixes a bug with buffer_size updates for JACK apps
  * Set minimum libcamera to 0.0.5 to force a build against the version in
      experimental during the freeze.
  * Install new module-jack-tunnel and module-jackdbus-detect
      in libpipewire-0.3-modules.

  [ Sebastien Bacher ]
  * Don't use libmysofa in the Ubuntu build for now since the package
    is in universe (Closes: #1035718)

 -- Dylan Aïssi <daissi@debian.org>  Mon, 22 May 2023 12:35:03 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                libasound2-dev,
                libavahi-client-dev,
                libbluetooth-dev,
-               libcamera-dev (>= 0.0.4) [!m68k],
+               libcamera-dev [!m68k],
                libdbus-1-dev,
                libfreeaptx-dev,
                libglib2.0-dev,
@@ -31,7 +31,6 @@
                libsdl2-dev,
                libsndfile1-dev,
                libssl-dev,
-               libsystemd-dev [linux-any],
                libudev-dev [linux-any],
                libusb-1.0-0-dev,
                libv4l-dev,
@@ -40,8 +39,7 @@
                meson (>= 0.59.0),
                modemmanager-dev,
                pkg-config,
-               python3-docutils,
-               systemd [linux-any]
+               python3-docutils
 Build-Conflicts: libfdk-aac-dev
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/utopia-team/pipewire
@@ -320,3 +318,5 @@
  pipelines. This includes:
  .
   - Making available sources of video (such as from a capture devices or
+    application provided streams) and multiplexing this with clients.
+  - Accessing sources of video for consumption.

=== debian/rules ===
--- 
+++ 
@@ -27,8 +27,10 @@
 # lilv and some of its dependencies are in universe
 ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
 LV2=disabled
+LIBMYSOFA=disabled
 else
 LV2=enabled
+LIBMYSOFA=enabled
 endif
 
 override_dh_auto_configure:
@@ -44,6 +46,7 @@
 		-Dbluez5-codec-ldac=$(BLUEZ5_CODEC_LDAC) \
 		-Dbluez5-codec-opus=enabled \
 		-Dlibcamera=$(LIBCAMERA) \
+		-Dlibmysofa=$(LIBMYSOFA) \
 		-Ddocs=$(DOCS) \
 		-Dffmpeg=disabled \
 		-Dinstalled_tests=enabled \
@@ -75,7 +78,7 @@
 		$(NULL)
 
 override_dh_missing:
-	dh_missing --fail-missing
+	dh_missing --list-missing
 
 override_dh_makeshlibs:
 	dh_makeshlibs \
